Get Usage Request
curl --request GET \
--url https://api.example.com/api/v1/organizations/{org_id}/reports/requests/{request_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/organizations/{org_id}/reports/requests/{request_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/organizations/{org_id}/reports/requests/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"status": "ok",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>",
"key_id": "<string>",
"key_name": "<string>",
"request_source": "inference_key",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_email": "<string>",
"requested_model_id": "<string>",
"model_id": "<string>",
"provider_id": "<string>",
"attempt_count": 123,
"input_tokens": 123,
"output_tokens": 123,
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"cost_usd": "<string>",
"within_period": true,
"attempts": [
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attempt_started_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"provider_id": "<string>",
"model_id": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credential_name": "<string>",
"status": "ok",
"input_tokens": 123,
"output_tokens": 123,
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"cost_usd": "<string>",
"cost_input_usd": "<string>",
"cost_output_usd": "<string>",
"token_usage_source": "provider",
"latency_ms": 123,
"matches_filter": true
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Reports
Get Usage Request
Required permission: usage.read.
GET
/
api
/
v1
/
organizations
/
{org_id}
/
reports
/
requests
/
{request_id}
Get Usage Request
Authorizations
ManagementKeySessionCookie
A control-plane management key using the sk-cp- prefix. Inference keys are not accepted by control-plane endpoints.
Path Parameters
Request id
Organization ID or slug
Query Parameters
Workspace id
Period
Available options:
today, 7d, 30d, month_to_date, custom Timezone
Start date
End date
Start at
End at
Owner id
Management key ID
Model id
Provider id
Provider credential ID
Response
Successful Response
Show child attributes
Show child attributes